cURL
curl --request GET \
--url https://app-api.aide.app/v1/procedures/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/procedures/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/procedures/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "draft",
"updatedAt": "<string>",
"isActive": true,
"agentId": "<string>",
"priority": "high",
"draft": {
"name": "<string>",
"priority": "high",
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
]
},
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"runCount": 123,
"publishedAt": "<string>",
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
],
"missingWhenToUse": true,
"knowledgeConflicts": [
{
"agent": {
"name": "<string>",
"id": "<string>"
},
"ignored": true,
"outsideSourceIds": [
"<string>"
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Scenario
Get v1procedures 1
GET
/
v1
/
procedures
/
{id}
cURL
curl --request GET \
--url https://app-api.aide.app/v1/procedures/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/procedures/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/procedures/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "draft",
"updatedAt": "<string>",
"isActive": true,
"agentId": "<string>",
"priority": "high",
"draft": {
"name": "<string>",
"priority": "high",
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
]
},
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"runCount": 123,
"publishedAt": "<string>",
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
],
"missingWhenToUse": true,
"knowledgeConflicts": [
{
"agent": {
"name": "<string>",
"id": "<string>"
},
"ignored": true,
"outsideSourceIds": [
"<string>"
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}